<?php 
require_once('conecta.php');

 if ($_GET['menus'] == 1) { 



//Recuperando os dados do formulário
//$id = $_POST["id"];
$nome = $_POST["nome"];
$link = $_POST["link"];
$modulo = $_POST["modulo"];


//Inserindo os dados na tabela "paginas"
$sql = "INSERT INTO menus (nome, link, modulo) VALUES ('$nome', '$link', '$modulo')";
$resultado = mysqli_query($conn, $sql);

if ($resultado) {
    // Redireciona o usuário para a página de destino
    header('Location: ../menus.php?adicionado=ok&id=' );
    exit;
} else {
    echo "Erro ao inserir dados: " . mysqli_error($conn);
}

//Fechando a conexão com o banco de dados
mysqli_close($conn);


 }  


//<!-- UPDATE -->
 if ($_GET['menus'] == 2) { 
    

    $idpagina = $_GET['id'];

    // Obtém os valores dos campos do formulário
    $nome = $_POST["nome"];
    $link = $_POST["link"];
    $modulo = $_POST["modulo"];
    //$imagem_fundo = $_FILES['imagem_fundo']['name'];

    if (!empty($_FILES['icone']['name'])) {
        $data = date('d/m/Y H:i'); // Obter a data formatada como "yyyy-mm-dd"
        $hash = hash('md5', $data); // Gerar um hash MD5 da data


        $gerapixel = "_pixel_imagem_" . $hash . "";


        //$destino = 'images/usuarios/' . $usuario_up_id . $gerapixel . $nome;
        // obtendo o nome do arquivo de imagem enviado
        $imagem_fundo = $gerapixel . $_FILES['icone']['name'];

        $extensao = pathinfo($imagem_fundo, PATHINFO_EXTENSION);
        $imagem_fundo = pathinfo($imagem_fundo, PATHINFO_FILENAME);
        $imagem_fundo = preg_replace('/[^A-Za-z0-9\-]/', '', $imagem_fundo);
        $imagem_fundo = preg_replace('/[\-]+/', '-', $imagem_fundo);
        $imagem_fundo = str_replace(' ', '-', $imagem_fundo);
        $imagem_fundo = strtolower($imagem_fundo);
        $imagem_fundo .= '.' . $extensao;

        // movendo a imagem para a pasta de upload
        move_uploaded_file($_FILES['icone']['tmp_name'], "../images/gerais/" . $imagem_fundo);
    
    

    // Executa a query de update
    $sql = "UPDATE menus SET nome='$nome', link='$link', modulo='$modulo', icone='$imagem_fundo' WHERE id= $idpagina";

    } else {
    $sql = "UPDATE menus SET nome='$nome', link='$link', modulo='$modulo' WHERE id= $idpagina";

    }

    if (mysqli_query($conn, $sql)) {
    // Redireciona o usuário para a página de destino
    header('Location: ../menu_update.php?atualizado=ok&id=' . $idpagina . "" );
    exit;
    } else {
    echo "Erro ao atualizar dados: " . mysqli_error($conn);
    }

    // Fecha a conexão com o MySQL
    mysqli_close($conn);
    
 }  


//<!-- DELETAR SLIDERS -->
 if ($_GET['menus'] == 3) { 



$idpagina = $_GET['id'];

// Delete the user with ID 123
$sql = "DELETE FROM menus WHERE id = $idpagina";
if (mysqli_query($conn, $sql)) {
    header("location: ../menus.php?apagou=ok");
} else {
    echo "Error deleting user: " . mysqli_error($conn);
}

// Close the connection
mysqli_close($conn);


 }  